GIRAFFE_DECLARE_FIELD(cairo_rectangle_t, cairo_rectangle, x)
GIRAFFE_DECLARE_FIELD(cairo_rectangle_t, cairo_rectangle, y)
GIRAFFE_DECLARE_FIELD(cairo_rectangle_t, cairo_rectangle, width)
GIRAFFE_DECLARE_FIELD(cairo_rectangle_t, cairo_rectangle, height)
GIRAFFE_DECLARE_VALUE_RECORD(cairo_rectangle_int_t, cairo_rectangle_int)
GIRAFFE_DECLARE_FIELD(cairo_rectangle_int_t, cairo_rectangle_int, x)
GIRAFFE_DECLARE_FIELD(cairo_rectangle_int_t, cairo_rectangle_int, y)
GIRAFFE_DECLARE_FIELD(cairo_rectangle_int_t, cairo_rectangle_int, width)
GIRAFFE_DECLARE_FIELD(cairo_rectangle_int_t, cairo_rectangle_int, height)
